package com.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;

/**
 * 附件操作对象 sys_file_info
 * 
 * @author lei_Wang
 * @date 2020-08-03
 */
public class SysFileInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件主键 */
    private Long id;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fileName;

    /** 存放路径 */
    @Excel(name = "存放路径")
    private String filePath;

    /** 附件类型 */
    @Excel(name = "附件类型")
    private Integer fileType;

    /** 关联业务主键 */
    @Excel(name = "关联业务主键")
    private Long businessId;

    /** 关联业务表名 */
    @Excel(name = "关联业务表名")
    private String businessTable;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setFilePath(String filePath) 
    {
        this.filePath = filePath;
    }

    public String getFilePath() 
    {
        return filePath;
    }
    public void setFileType(Integer fileType) 
    {
        this.fileType = fileType;
    }

    public Integer getFileType() 
    {
        return fileType;
    }
    public void setBusinessId(Long businessId) 
    {
        this.businessId = businessId;
    }

    public Long getBusinessId() 
    {
        return businessId;
    }
    public void setBusinessTable(String businessTable) 
    {
        this.businessTable = businessTable;
    }

    public String getBusinessTable() 
    {
        return businessTable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileName", getFileName())
            .append("filePath", getFilePath())
            .append("fileType", getFileType())
            .append("businessId", getBusinessId())
            .append("businessTable", getBusinessTable())
            .toString();
    }
}
